Page MenuHomeFreeBSD

net-im/tox: upgrade to v0.2.0
ClosedPublic

Authored by thierry on Mar 1 2018, 9:01 PM.

Details

Summary

This version brings a lot of changes, breaks the ABI, and changes the structure of the libraries.

See https://github.com/TokTok/c-toxcore/releases/tag/v0.2.0

Test Plan

To be testes with all Tox clients:

net-im/toxic
net-im/uTox
net-im/py-toxcore-c
net-im/qTox

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

thierry created this revision.Mar 1 2018, 9:01 PM
yuri added a comment.EditedMar 1 2018, 10:37 PM

All of them fail.
qTox fails with this error message:

-- Checking for one of the modules 'libtoxav'
CMake Error at cmake/Dependencies.cmake:73 (message):
  TOXAV package, library or framework not found

You need to tell them. I saw that they were saying that they will release toxcore once qTox works with it.

thierry added a comment.EditedMar 2 2018, 5:15 PM
In D14558#305456, @yuri wrote:

All of them fail.

Yes, of course, this is why I did not upgrade net-im/tox but submitted this on phabricator!
We have to wait for updates of the clients and synchronize them.
E.g., toxic released a new version today: see
https://github.com/JFreegman/toxic/releases/tag/v0.8.2

I've just submitted a PR, it will be easier to coordinate the different ports:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226310

yuri added a comment.Mar 3 2018, 5:36 PM

net-im/py-toxcore-c: r463518 makes it compatible with toxcore 0.2.0

yuri added a comment.Mar 4 2018, 7:23 PM

net-im/qTox: r463597 makes it compatible with toxcore 0.2.0

yuri accepted this revision.Mar 4 2018, 7:46 PM

Labeling it as "accepted" since the other 2 ports aren't maintained by me.

This revision is now accepted and ready to land.Mar 4 2018, 7:46 PM

Thanks Yuri!
Toxic is also ready, we are just waiting for portmaster_BSDforge.com

mat added a comment.Mar 5 2018, 3:04 PM

There are many .so removed. If there are any port that link with them, you need to bump them so that they get rebuilt.

yuri added a comment.EditedMar 6 2018, 10:02 PM

There is a disagreement in uTox https://github.com/uTox/uTox/pull/1157
One influential project member doesn't trust the TokTok/c-toxcore version.
Otherwise, the patch is ready there since Dec 30, 2017.

I think you should branch out net-im/tox12, keep uTox on it, and commit the new tox-0.2.0.
Otherwise there could be months until this is resolved.

This revision was automatically updated to reflect the committed changes.